!set wims_backslash_insmath=yes
Vous n'avez mme pas besoin de connatre la dfinition mathmatique de
\(\ZZ/n\ZZ\) pour jouer  $module_title : il suffit de connaitre les
rgles arithmtiques qui sont finalement trs simples.
<p>
Nous pouvons d'abord dfinir une addition dans \(\ZZ/n\ZZ\), c'est--dire
une ``addition'',\(\ +_n\), de deux entiers \(a\), \(b\) entre 0 et \(n-1\),
dont le rsultat est aussi entre 0 et \(n-1\).
</p><div>
Pour ce faire, regardons la somme ``habituelle'' \(c = a+b\). Si \(c\)
ne dpasse pas \(n-1\), prenons
<div class="wimscenter">
\(a +_n b = c\) ;
</div>
sinon, faisons une division avec reste de \(c\) par \(n\). Le reste \(d\) est un
entier entre 0 et \(n-1\). Et on dfinit
<div class="wimscenter">
\(a +_n b = d\) .
</div>
Pareil pour la multiplication : dans tous les cas, nous pouvons prendre
\(c = a\times b\), et prendre \(d\) le reste de la division de \(c\) par
\(n\). Pour dfinir
<div class="wimscenter">
 \(a \times_n b = d\) .
</div>
</div>

Maintenant si vous avez un ensemble \(E \subset \ZZ/n\ZZ\),
c'est--dire plusieurs entiers \(a\), \(b\), ... entre 0 et \(n-1\), et si vous
avez un autre entier \(t\) entre 0 et \(n-1\), vous pouvez faire une addition
ou une multiplication comme ci-dessus de tous les lments \(a\), \(b\), ...
par \(t\) simultanment. Le rsultat est un autre ensemble \(E_t\),
qui aura le mme nombre d'lments que \(E\) sauf dans certains cas ( vous de
dcouvrir). Et vous pouvez continuer ces oprations plusieurs fois.
